Get Labels
1 min
POST
https://api.upstartcommerce.com/v1/shipping-method/label
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringDescription
Body Parameters
- bodyLabelRequestrequiredDescription
- addrFromAddressrequiredDescription
- street1stringrequired
- street2string
- citystringrequired
- countystring
- stateOrRegionstringrequired
- countrystringrequiredDescriptionMin Length2Max Length2
- postalCodestringrequired
- poBoxboolean
- nameNameDescription
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- businessNamestring
- phoneNumberstring
- addrToAddressrequiredDescription
- street1stringrequired
- street2string
- citystringrequired
- countystring
- stateOrRegionstringrequired
- countrystringrequiredDescriptionMin Length2Max Length2
- postalCodestringrequired
- poBoxboolean
- nameNameDescription
- firststringrequiredExampleDescription
- laststringrequiredExampleDescription
- middleInitialstringExampleDescription
- salutationstringExampleDescription
- suffixstringExampleDescription
- businessNamestring
- phoneNumberstring
- idstring<uuid>requiredExampleDescriptionFormatuuid
- carrierIdstringrequiredExampleDescription
- packagesShippingPackage[]requiredDescription
- dimensionsDimensionsDescription
- widthnumber<double>requiredExampleDescriptionFormatdouble
- lengthnumber<double>requiredExampleDescriptionFormatdouble
- heightnumber<double>requiredExampleDescriptionFormatdouble
- unitstring<cm | m | in | mm>requiredExampleDescriptionAllowedcmminmm
- insuredValuenumberExampleDescriptionDefault0
- packageCodestringExampleDescriptionDefault
- weightWeightrequiredDescription
- valuenumber<double>requiredExampleDescriptionFormatdouble
- unitstring<g | kg | lb>requiredExampleDescriptionAllowedgkglb
- serviceCodestringrequiredExampleDescription
Responses
200
- LabelResponseDescription
- shippingLabelShippingLabelDescription
- createdAtstring<date-time>requiredExampleDescriptionFormatdate-time
- isInternationalbooleanrequiredDescription
- labelDownloadmap<string, string>required
- shipDateinteger<int64>requiredExampleDescriptionFormatint64
- shippingItemLabelsShippingItemLabel[]requiredDescription
- packageCodestringExampleDescription
- trackingNumberstringExampleDescription
- statusstringrequiredExampleDescription
- trackablebooleanrequiredExampleDescription
- trackingNumberstringExampleDescription
- errorsErrorMessage[]requiredDescription
- levelstring<INFO | WARN | ERROR>requiredExampleDescriptionAllowedINFOWARNERROR
- codestringrequiredExampleDescription
- messagestringExampleDescription
- detailstringExampleDescription
400
- ValidationErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstring
- reasonstring
401
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request POST \
--url https://api.upstartcommerce.com/v1/shipping-method/label \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"addrFrom": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"addrTo": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"id": "8A218593-40EB-4DD0-94BD-8ACA1D95BB14",
"carrierId": "DHL",
"packages": [
{
"dimensions": {
"width": 10.5,
"length": 20,
"height": 15,
"unit": "cm"
},
"weight": {
"value": 2.5,
"unit": "kg"
}
}
],
"serviceCode": "serviceCode"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var raw = JSON.stringify({
"addrFrom": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"addrTo": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"id": "8A218593-40EB-4DD0-94BD-8ACA1D95BB14",
"carrierId": "DHL",
"packages": [
{
"dimensions": {
"width": 10.5,
"length": 20,
"height": 15,
"unit": "cm"
},
"weight": {
"value": 2.5,
"unit": "kg"
}
}
],
"serviceCode": "serviceCode"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/shipping-method/label", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/shipping-method/label")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request.body = JSON.dump({
"addrFrom": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"addrTo": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"id": "8A218593-40EB-4DD0-94BD-8ACA1D95BB14",
"carrierId": "DHL",
"packages": [
{
"dimensions": {
"width": 10.5,
"length": 20,
"height": 15,
"unit": "cm"
},
"weight": {
"value": 2.5,
"unit": "kg"
}
}
],
"serviceCode": "serviceCode"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/shipping-method/label"
payload = json.dumps({
"addrFrom": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"addrTo": {
"street1": "",
"city": "",
"stateOrRegion": "",
"country": "",
"postalCode": "",
"name": {
"first": "John",
"last": "Smith"
}
},
"id": "8A218593-40EB-4DD0-94BD-8ACA1D95BB14",
"carrierId": "DHL",
"packages": [
{
"dimensions": {
"width": 10.5,
"length": 20,
"height": 15,
"unit": "cm"
},
"weight": {
"value": 2.5,
"unit": "kg"
}
}
],
"serviceCode": "serviceCode"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Success-labels returned.
{
"shippingLabel": {
"createdAt": "2017-07-21T17:32:28Z",
"isInternational": false,
"labelDownload": "",
"shipDate": 1729018800000,
"shippingItemLabels": [
{
"packageCode": "PackageCode",
"trackingNumber": "123456789"
}
],
"status": "active",
"trackable": true,
"trackingNumber": "123456789"
},
"errors": [
{
"level": "INFO",
"code": "ERR-123",
"message": "Something unexpected happened",
"detail": "Could not contact other service"
}
]
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}